%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		6
%define libname 	%mklibname xfce4util %{major}
%define develname	%mklibname xfce4util -d

Summary:	Utility library for the Xfce desktop environment
Name:		libxfce4util
Version:	4.10.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		libxfce4util-4.4.2-config-dirs.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)

%description
Basic utility non-GUI functions for Xfce desktop environment.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
Conflicts:	%{_lib}xfce4util4 < 4.8.2-1.1

%description i18n
This package contains the localizations for %{name}.

%package -n %{libname}
Summary:	Utility library for the Xfce desktop environment
Group:		Graphical desktop/Xfce
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Utility library for the Xfce desktop environment.

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}xfce4util4-devel

%description -n %{develname}
Libraries and header files for the %{name} library.

%package -n xfce-kiosk
Summary:	Kiosk support for the Xfce desktop environment
Group:		Graphical desktop/Xfce

%description -n xfce-kiosk
Kiosk support for the Xfce desktop environment.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%doc AUTHORS ChangeLog TODO
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/

%files -n xfce-kiosk
%{_sbindir}/xfce4-kiosk-query


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 358570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 265550
- adapt conflicts to fit pkgs in mga2

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248378
- new version 4.10.0
- new major 6
- clean .spec

* Mon May 28 2012 wally <wally> 4.8.2-2.mga3
+ Revision: 248372
- create i18n subpackage

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147314
- new version 4.8.2

* Wed Sep 14 2011 fwang <fwang> 4.8.1-3.mga2
+ Revision: 143370
- drop .la files

* Thu Jan 27 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 41577
- drop old/unneeded scriptles
- imported package libxfce4util

